
local TeamSpawns = {}
local bTeamSpawnsInit = false


function CalcTeamSpawn()

	local name, army
	local TeamArray = {}

	-- loop through the team info and check the info for each army
	for name, army in ScenarioInfo.ArmySetup do
		if not TeamArray[army.Team] then			-- if this team index doesnt exist in the array
			TeamArray[army.Team] = {}			-- create it
		end

		table.insert(TeamArray[army.Team], army.ArmyName)	-- insert army name (ie spawn point) into team array
	end

	for k,v in TeamArray do
	--	LOG(k .. '   ' .. repr(v))
		table.insert(TeamSpawns, k, v[Random(1, table.getn(v))])
	end

	--LOG(repr(TeamSpawns))

	bTeamSpawnsInit = true
end

function InitializeStartLocation(strArmy)

	LOG('-----=====-----=====-----=====-----=====-----=====-----')

	-- check if team spawns are initialized
	if bTeamSpawnsInit == false then
	--	LOG('CalcTeamSpawn()')
		CalcTeamSpawn()
	end

	local PStart = nil

	-- if the player is non-team FFA spawn them where they want
	if ScenarioInfo.ArmySetup[strArmy].Team == 1 then
		PStart = GetMarker(strArmy)
	--	LOG('FFA Team')

	-- the player has a team so find their spawn
	else
		PStart = GetMarker(TeamSpawns[ScenarioInfo.ArmySetup[strArmy].Team])
	end

	-- set the start point
	if PStart then
		SetArmyStart(strArmy, PStart.position[1], PStart.position[3])
	else
		GenerateArmyStart(strArmy)
	end
end
